export interface TitleProps {
  setReady: (ready: boolean) => void;
}

export const Title = ({ setReady }: TitleProps) => {
  return (
    <div style={{ textAlign: "center" }}>
      <h1>the abstraction engine</h1>
      <p>a game based on the lambda calculus</p>
      <p>
        engine{" "}
        <a
          href="https://git.simponic.xyz/simponic/the-abstraction-engine"
          target="_blank"
        >
          from scratch
        </a>
      </p>
      <br />
      <h3 className="warning">
        WASD/arrow keys to move. SPACE/ENTER to interact after highlighting with
        the mouse.
      </h3>

      <br />
      <hr />
      <br />
      <button onClick={() => setReady(true)}>ready</button>
    </div>
  );
};
